######################################
######### Chapter 3 #################
######################################


## Bar Plot: Graphing the Winners of a Hot Dog Eating Contest

# create variable for contestant names
contestants <- c("Ryan", "Jennifer", "Katherine", "Doug")

# create variable for numbers of hot dogs eaten
hot_dogs <- c(9, 6, 11, 14)

# create bar plot
barplot(hot_dogs, 
        main = "Hot Dog Eating Contest", 
        names.arg = contestants,
        ylab = "Number of Hot Dogs")


#################################################################
## Bar Plot II: Graphing Winning Lottery Numbers in Texas Pick-3

#Create the data set
winning_numbers <- c(5, 9, 4, 4, 6, 1, 4, 7, 9, 9, 0, 8, 4, 1, 4, 1, 9, 0, 7, 1, 1, 3, 0, 
                     8, 2, 4, 3, 2, 7, 9)

# Plot the frequency of each winning number
barplot(table(winning_numbers), 
        main = "Morning Winning Lottery Numbers",  
        sub = "5/21/2018-4/27/2018, Texas Pick-3",
        ylab = "Frequency Count",
        xlab = "Winning Numbers")

##################################################################################
## Pie Chart: Graphing the Composition of Daily Plays among Top 5 Songs on Spotify 

# create the songs variable
songs <-  c('Gods Plan',
            'Psycho (feat. Ty Dolla $ign)',
            'Look Alive (feat. Drake)',
            'All The Stars (with SZA)',
            'Stir Fry')

# create the number of daily plays for each song 
dailyPlays <- c(3246141, 3003919, 1697529, 1695184, 1261703)

# create pie chart
pie(dailyPlays, 
    labels = songs, 
    main = "Top 5 Songs on Spotify on February 28, 2018 in the U.S.")


########################################################################
## Histogram: Graphing the Distribution of LSAT Scores in a Review Class

# create the LSAT score variable
lsat_scores <- c(151, 174, 141, 148, 144, 137, 149, 179, 139, 128, 164, 151, 164, 152, 
                 149, 155, 157, 151, 138, 123, 150, 168, 148, 154, 153, 162)

# create the histogram
hist(lsat_scores, main = "Distribution of Scores in LSAT Review Class")


#####################################################################################################
## Scatter Plot: Graphing the Relationship between Two Variables--Gas Mileages in City and on Highway

# create variables
city <- c(18.0, 18.0, 15.0, 26.0, 25.0, 22.0, 24.0, 28.0, 30.0, 27.0)
highway <- c(24.0, 24.0, 22.0, 33.0, 31.0, 28.0, 33.0, 36.0, 39.0, 36.0)
names <- c("Ford F-Series", "Chevy Silverado", "Ram Truck", "Nissan Rogue", "Honda CR-V",
           "Toyota Rav4", "Toyota Camry", "Toyota Corolla", "Honda Civic", "Honda Accord")

# scatter plot for highway and city mileages
plot(city, highway, 
     main = "City MPG vs. Highway MPG for Top 10 Best-Selling Cars in 2017", 
     xlab = "City MPG", 
     ylab = "Highway MPG")

# add labels to data points
text(city, highway, labels = names, pos = 1, cex = 0.4, offset=0.25)


#########################################################################
## Time Series Plot: Graphing the Changing Pattern of Youtube Video Views 

date <- c("2/16/2018", "2/17/2018", "2/18/2018", "2/20/2018",
"2/22/2018", "2/24/2018", "2/25/2018")

date <-as.Date(date, format = "%m/%d/%y")

views <- c(828000, 441000, 344000, 412000, 506000, 412000, 471000)/1000

# create a time series line plot
plot(date, views, type = "b",
     main = "Numbers of Views of Videos by Alfie Deyes on YouTube",
     ylab="number of views in thousands",
     xlab = "February 16-25, 2018")

